Skip to main content

Close a task

You can close a task through the API.

Request

This method allows you to close a task:

PUT /company/{companyID}/task/{taskID}

Run in Postman

Parameters

ParameterInTypeRequiredDescriptionExample
companyIDpathstring
✔️
Company identifierWy3EOp2NP3p1KMq8
taskIDpathstring
✔️
id of the taskvYJA39J3q5plNQwE
donepathboolean
✔️
done of the tasktrue
Tip

Enter true in the done parameter to indicate that a task has been completed.

Request example

cURL Request
curl -X PUT https://api.flatchr.io/company/Wy3EOp2NP3p1KMq8/task/vYJA39J3q5plNQwE
-H "Authorization: Bearer {token}"
-H 'Content-Type: application/json'
-d '{"done":true}'

Response

NameTypeDescription
idstringTask identifier
descriptionstringTask description
value[string]The element(s) the task relates to: member for a user and applicant for a candidate
typestringType (always equal to "task")
datetimestampTask date
donebooleanHas the task been completed?

Response example

{
"id": "vYJA39J3q5plNQwE",
"description": "Remember to send a rejection email when you archive a candidate",
"value": [
"member=ZmPNJ9LLLMp5LwDB"
],
"type": "task",
"date": "2021-09-24T09:42:47.000Z",
"done": true
}